slapmt.f(3)

NAME
slapmt.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLAPMT (FORWRD, M, N, X, LDX, K)
SLAPMT

Function/Subroutine Documentation

  subroutine SLAPMT (LOGICALFORWRD, INTEGERM, INTEGERN, REAL, dimension( ldx, * )X, INTEGERLDX, INTEGER, dimension( * )K)

SLAPMT

Purpose:

     SLAPMT rearranges the columns of the M by N matrix X as specified
     by the permutation K(1),K(2),...,K(N) of the integers 1,...,N.
     If FORWRD = .TRUE.,  forward permutation:
          X(*,K(J)) is moved X(*,J) for J = 1,2,...,N.
     If FORWRD = .FALSE., backward permutation:
          X(*,J) is moved to X(*,K(J)) for J = 1,2,...,N.

Parameters:
    FORWRD

              FORWRD is LOGICAL
              = .TRUE., forward permutation
              = .FALSE., backward permutation

    M

              M is INTEGER
              The number of rows of the matrix X. M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix X. N >= 0.

    X

              X is REAL array, dimension (LDX,N)
              On entry, the M by N matrix X.
              On exit, X contains the permuted matrix X.

    LDX

              LDX is INTEGER
              The leading dimension of the array X, LDX >= MAX(1,M).

    K

              K is INTEGER array, dimension (N)
              On entry, K contains the permutation vector. K is used as
              internal workspace, but reset to its original value on
              output.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 105 of file slapmt.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.